Subject: Garden Clogs: What size

From: [email-masked] (Ruth Evans)
Date: Sat, 4 Mar 95 12:34:13

>Hi,

>I finally got my smith and  hawkens catalog.  I want to order the
>garden clogs, but am not sure what size since they only have
>whole sizes.  I usually wear a 6 1/2.  So I measured my foot with
>a ruler, it's 9 1/4 inches long ( back of my heel was flush with
>the ruler, not  bottom of the foot).  What size did you order?

>help?  thanks.

Sorry, I can't help you, but could you e-mail me the address or phone
number please?  My email address is [email-masked].

Ruth Evans
     __             ___        __
__  ////\  /\/\  /\/ _//\ __  /// | Anne McCaffrey: Master Word Crafter|
\\\//// '\/    \/ / /\/ '\\\\///  | Princess:  Cutest Wiggle Tail Ever!|
 \XX/ \/\/\/\/\/\/\__/\/\/ \XX/   | [email-masked] or [email-masked] |